<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>Framework: InputForward Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_input_forward.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_input_forward-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">InputForward Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe pour échanger des données avec un autre programme, via la station sol.  
 <a href="class_input_forward.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_input_forward_8h_source.html">InputForward.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for InputForward:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_input_forward.png" usemap="#InputForward_map" alt=""/>
  <map id="InputForward_map" name="InputForward_map">
<area href="class_widget.html" title="Classe representant un Widget." alt="Widget" shape="rect" coords="0,56,87,80"/>
<area href="class_i_o_device.html" title="Classe de base pour un système à entrées/sorties." alt="IODevice" shape="rect" coords="97,56,184,80"/>
<area href="class_object.html" title="Classe representant un Object." alt="Object" shape="rect" coords="0,0,87,24"/>
<area href="class_object.html" title="Classe representant un Object." alt="Object" shape="rect" coords="97,0,184,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a121fd7c6a80dd36d2030a8b2efa6a183"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a121fd7c6a80dd36d2030a8b2efa6a183"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>InputForward</b> (<a class="el" href="class_widget.html">Widget</a> *parent, <a class="el" href="classio__data.html">io_data</a> *data, std::string name)</td></tr>
<tr class="inherit_header pub_methods_class_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_widget')"><img src="closed.png" alt="-"/>&nbsp;Public Member Functions inherited from <a class="el" href="class_widget.html">Widget</a></td></tr>
<tr class="memitem:a92227be425c28c8a90a237387a45917f inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a92227be425c28c8a90a237387a45917f">Widget</a> (<a class="el" href="class_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a92227be425c28c8a90a237387a45917f inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur.  <a href="#a92227be425c28c8a90a237387a45917f"></a><br/></td></tr>
<tr class="memitem:aa24f66bcbaaec6d458b0980e8c8eae65 inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#aa24f66bcbaaec6d458b0980e8c8eae65">~Widget</a> ()</td></tr>
<tr class="memdesc:aa24f66bcbaaec6d458b0980e8c8eae65 inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Déstructeur.  <a href="#aa24f66bcbaaec6d458b0980e8c8eae65"></a><br/></td></tr>
<tr class="memitem:a7e0be0e1c644a569fffe5a03880af117 inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a7e0be0e1c644a569fffe5a03880af117">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a7e0be0e1c644a569fffe5a03880af117 inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Activer.  <a href="#a7e0be0e1c644a569fffe5a03880af117"></a><br/></td></tr>
<tr class="memitem:a012d30c854517c32624b8e6521e5fae1 inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a012d30c854517c32624b8e6521e5fae1">isEnabled</a> (void)</td></tr>
<tr class="memdesc:a012d30c854517c32624b8e6521e5fae1 inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Est activé?  <a href="#a012d30c854517c32624b8e6521e5fae1"></a><br/></td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&nbsp;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur.  <a href="#a588cf9896a6c1f62733bc7faf013941d"></a><br/></td></tr>
<tr class="memitem:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ae8f5483f459e46687bd01e6f9977afd3">~Object</a> ()</td></tr>
<tr class="memdesc:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Déstructeur.  <a href="#ae8f5483f459e46687bd01e6f9977afd3"></a><br/></td></tr>
<tr class="memitem:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">ObjectName</a> (void)</td></tr>
<tr class="memdesc:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nom.  <a href="#ab9d633c51c6c06486cb1eca238a01ea5"></a><br/></td></tr>
<tr class="memitem:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a003c71b5073abbbd2addb4153c3f25fc"></a><br/></td></tr>
<tr class="memitem:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">Parent</a> (void)</td></tr>
<tr class="memdesc:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a1f0cf0be56c6a2ba1d8b266906dacdef"></a><br/></td></tr>
<tr class="memitem:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">RootParent</a> (void)</td></tr>
<tr class="memdesc:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent d'origine.  <a href="#a89f6628d70f36989fdad3c095839d90f"></a><br/></td></tr>
<tr class="memitem:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_framework_manager.html" title="Classe de base du Framework.">FrameworkManager</a> d'origine.  <a href="#aae69a726bbe66e071e1bc736a52f2c24"></a><br/></td></tr>
<tr class="memitem:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enfants du même type.  <a href="#affaf94193943017da65e34ea2cc8aff8"></a><br/></td></tr>
<tr class="memitem:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">Childs</a> (void)</td></tr>
<tr class="memdesc:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enfants.  <a href="#a498c46154eba1f2f1806dc8776e8b6e8"></a><br/></td></tr>
<tr class="memitem:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">GetTime</a> (void)</td></tr>
<tr class="memdesc:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Temps.  <a href="#afebac3a16418e7e7394d4d395694c42a"></a><br/></td></tr>
<tr class="memitem:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">printf  <a href="#a2197a00312a960362dbce0d31819d9ae"></a><br/></td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warning.  <a href="#a119852e43f936ff51605c4e994aa3883"></a><br/></td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error.  <a href="#a28958c66842aafb754b3f851c6bbc867"></a><br/></td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérifie si erreur.  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa"></a><br/></td></tr>
<tr class="inherit_header pub_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&nbsp;Public Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af654a28da90b978a4c7ab8b5c88dac3d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>IODevice</b> (<a class="el" href="class_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memitem:ac81c7aa95caa0bf9266428783f143000 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac81c7aa95caa0bf9266428783f143000"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ProcessUpdate</b> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="memitem:aebe7a656454173c66953720b441ac267 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aebe7a656454173c66953720b441ac267"></a>
virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><b>LogSize</b> (void)</td></tr>
<tr class="memitem:af78f2cd9a3325a0de89ba1f394747ab6 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af78f2cd9a3325a0de89ba1f394747ab6"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>PostLog</b> (file_socket *socket)</td></tr>
<tr class="memitem:ad678a8c929e1863de489e38984e1f984 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad678a8c929e1863de489e38984e1f984"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AppendLog</b> (char *ptr)</td></tr>
<tr class="memitem:aa80be7172750b2e9ca9d02b918caf72f inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa80be7172750b2e9ca9d02b918caf72f"></a>
<a class="el" href="classio__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>DataToLog</b> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_class_widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_widget')"><img src="closed.png" alt="-"/>&nbsp;Protected Member Functions inherited from <a class="el" href="class_widget.html">Widget</a></td></tr>
<tr class="memitem:ad924ad425a4d759e7e240b0d738e2704 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#ad924ad425a4d759e7e240b0d738e2704">FileNode</a> (void)</td></tr>
<tr class="memdesc:ad924ad425a4d759e7e240b0d738e2704 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Noeud xml.  <a href="#ad924ad425a4d759e7e240b0d738e2704"></a><br/></td></tr>
<tr class="memitem:ade3664cb78c6d419dad2edf36f95b093 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">ui_com *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#ade3664cb78c6d419dad2edf36f95b093">Com</a> (void)</td></tr>
<tr class="memdesc:ade3664cb78c6d419dad2edf36f95b093 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">ui_com  <a href="#ade3664cb78c6d419dad2edf36f95b093"></a><br/></td></tr>
<tr class="memitem:abbbea3a6749c267547844b347fd71ef6 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#abbbea3a6749c267547844b347fd71ef6">SetXmlProp</a> (std::string prop, std::string value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:abbbea3a6749c267547844b347fd71ef6 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fixe une proriété xml.  <a href="#abbbea3a6749c267547844b347fd71ef6"></a><br/></td></tr>
<tr class="memitem:aebff38bd81ddf78e2429a786b34f2755 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#aebff38bd81ddf78e2429a786b34f2755">SetXmlProp</a> (std::string prop, xmlChar *value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:aebff38bd81ddf78e2429a786b34f2755 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fixe une proriété xml.  <a href="#aebff38bd81ddf78e2429a786b34f2755"></a><br/></td></tr>
<tr class="memitem:a90a0d549ba4b1b7e481af845b40228a9 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a90a0d549ba4b1b7e481af845b40228a9">SetXmlProp</a> (std::string prop, double value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:a90a0d549ba4b1b7e481af845b40228a9 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fixe une proriété xml.  <a href="#a90a0d549ba4b1b7e481af845b40228a9"></a><br/></td></tr>
<tr class="memitem:a1d447fddf5753dba0bb7cf057ab62a60 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a1d447fddf5753dba0bb7cf057ab62a60">ClearXmlProps</a> (void)</td></tr>
<tr class="memdesc:a1d447fddf5753dba0bb7cf057ab62a60 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Efface les proriétés xml.  <a href="#a1d447fddf5753dba0bb7cf057ab62a60"></a><br/></td></tr>
<tr class="memitem:ae6d73c33036295d6f215e108bfb101e7 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#ae6d73c33036295d6f215e108bfb101e7">AddXmlChild</a> (std::string type)</td></tr>
<tr class="memdesc:ae6d73c33036295d6f215e108bfb101e7 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ajoute un enfant xml.  <a href="#ae6d73c33036295d6f215e108bfb101e7"></a><br/></td></tr>
<tr class="memitem:a4d1ec3587da07ee941bdb6b1f067b8bd inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a4d1ec3587da07ee941bdb6b1f067b8bd">SendXml</a> (void)</td></tr>
<tr class="memdesc:a4d1ec3587da07ee941bdb6b1f067b8bd inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envoi le xml.  <a href="#a4d1ec3587da07ee941bdb6b1f067b8bd"></a><br/></td></tr>
<tr class="memitem:a6068bae68abf6d3d11de4db10d0a4903 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a6068bae68abf6d3d11de4db10d0a4903">PrintXml</a> (void)</td></tr>
<tr class="memdesc:a6068bae68abf6d3d11de4db10d0a4903 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affiche le xml.  <a href="#a6068bae68abf6d3d11de4db10d0a4903"></a><br/></td></tr>
<tr class="memitem:a1b9fe99cf5a0075b0770ba2898a2f5d4 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a1b9fe99cf5a0075b0770ba2898a2f5d4">XmlEvent</a> (xmlNode *node)=0</td></tr>
<tr class="memdesc:a1b9fe99cf5a0075b0770ba2898a2f5d4 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Evenement xml.  <a href="#a1b9fe99cf5a0075b0770ba2898a2f5d4"></a><br/></td></tr>
<tr class="memitem:aed2e61359247aa115d1227b9e436bd13 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#aed2e61359247aa115d1227b9e436bd13">BuffEvent</a> (char *buf, ssize_t size)=0</td></tr>
<tr class="memdesc:aed2e61359247aa115d1227b9e436bd13 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Evenement buffer.  <a href="#aed2e61359247aa115d1227b9e436bd13"></a><br/></td></tr>
<tr class="memitem:ae14f638db13b018cc59b5b61e5e311a8 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#ae14f638db13b018cc59b5b61e5e311a8">AddInputBuffer</a> (<a class="el" href="class_widget.html">Widget</a> *widget, int id)</td></tr>
<tr class="memdesc:ae14f638db13b018cc59b5b61e5e311a8 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ajout d'un buffer évenement.  <a href="#ae14f638db13b018cc59b5b61e5e311a8"></a><br/></td></tr>
<tr class="inherit_header pro_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&nbsp;Protected Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c9df5ddb30faf34676efbdbd9fe5473"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetDataToLog</b> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="memitem:a9be704338e9db077770f891400917451 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9be704338e9db077770f891400917451"></a>
Logger *&#160;</td><td class="memItemRight" valign="bottom"><b>GetOwnLogger</b> (void)</td></tr>
</table>
<a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Classe pour échanger des données avec un autre programme, via la station sol. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_input_forward.html">InputForward</a></li>
    <li class="footer">Generated on Sun Dec 15 2013 23:57:57 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.1.2 </li>
  </ul>
</div>
</body>
</html>
